# QAbstractSlider Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QAbstractSlider(QWidget parent)

### Constructor Properties

- prototype: The QAbstractSlider prototype object
- SliderNoAction
- SliderSingleStepAdd
- SliderSingleStepSub
- SliderPageStepAdd
- SliderPageStepSub
- SliderToMinimum
- SliderToMaximum
- SliderMove
- SliderAction( value )

### Prototype Object Properties

The QAbstractSlider prototype object inherits properties from the QWidget prototype object and also has the following properties.

- void setRange(int min, int max)
- void triggerAction(SliderAction action)

### Instance Properties

QAbstractSlider objects inherit properties from the QAbstractSlider prototype object and also have the following properties.

- minimum
- maximum
- singleStep
- pageStep
- value
- sliderPosition
- tracking
- orientation
- invertedAppearance
- invertedControls
- sliderDown